Bug 206987 - Error status is not checked
Error status is not checked
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
7.1
All All
: P4 (vote)
: 7.2
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-06 14:30 UTC by Tomas Hurka
Modified: 2012-09-27 15:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2012-01-06 14:30:49 UTC
Error status is not checked of (*_jvmti)->Deallocate() function is not checked in Java_org_netbeans_lib_profiler_server_system_Stacks_getAllStackTraces()
Comment 1 Tomas Hurka 2012-01-06 14:52:44 UTC
Fixed in profiler-main

changeset:   209847:8628c4761c02
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Jan 06 15:36:53 2012 +0100
summary:     bugfix #206987, check the error status of Deallocate()
Comment 2 Quality Engineering 2012-01-11 16:15:29 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/8628c4761c02
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #206987, check the error status of Deallocate()


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo